Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.view.feed
Class AbstractFeedView<T extends com.sun.syndication.feed.WireFeed>

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractView
                  org.springframework.web.servlet.view.feed.AbstractFeedView<T>

All Implemented Interfaces:
  Aware, BeanNameAware, ApplicationContextAware, ServletContextAware, View

Direct Known Subclasses:
  AbstractAtomFeedView, AbstractRssFeedView

    public abstract class AbstractFeedView<T extends com.sun.syndication.feed.WireFeed>

extends AbstractView

Abstract base class for Atom and RSS Feed views, using java.net's ROME package.

Application-specific view classes will typically extend from either `AbstractRssFeedView` or `AbstractAtomFeedView` instead of from this class.

Thanks to Jettro Coenradie and Sergio Bossa for the original feed view prototype!

Since:
  3.0
Author:
  Arjen Poutsma, Juergen Hoeller
See Also:
  `AbstractRssFeedView`, `AbstractAtomFeedView`

Field Summary

Fields inherited from class org.springframework.web.servlet.view.AbstractView
`DEFAULT_CONTENT_TYPE`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Fields inherited from interface org.springframework.web.servlet.View
`PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE`

Constructor Summary
`AbstractFeedView()`

Method Summary
`protected abstract void` | `buildFeedEntries(java.util.Map<java.lang.String,java.lang.Object> model, T feed, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Subclasses must implement this method to build feed entries, given the model.
`protected void` | `buildFeedMetadata(java.util.Map<java.lang.String,java.lang.Object> model, T feed, javax.servlet.http.HttpServletRequest request)` Populate the feed metadata (title, link, description, etc.).
`protected abstract T` | `newFeed()` Create a new feed to hold the entries.
`protected void` | `renderMergedOutputModel(java.util.Map<java.lang.String,java.lang.Object> model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Subclasses must implement this method to actually render the view.

Methods inherited from class org.springframework.web.servlet.view.AbstractView
`addStaticAttribute, createMergedOutputModel, createRequestContext, createTemporaryOutputStream, exposeModelAsRequestAttributes, generatesDownloadContent, getAttributesMap, getBeanName, getContentType, getRequestContextAttribute, getStaticAttributes, isExposePathVariables, prepareResponse, render, setAttributes, setAttributesCSV, setAttributesMap, setBeanName, setContentType, setExposePathVariables, setRequestContextAttribute, toString, writeToResponse`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractFeedView

    public AbstractFeedView()

Method Detail

### renderMergedOutputModel

    protected final void renderMergedOutputModel(java.util.Map<java.lang.String,java.lang.Object> model,
                                                 javax.servlet.http.HttpServletRequest request,
                                                 javax.servlet.http.HttpServletResponse response)
                                          throws java.lang.Exception

  Description copied from class: `AbstractView`
  Subclasses must implement this method to actually render the view.

  The first step will be preparing the request: In the JSP case, this would mean setting model objects as request attributes. The second step will be the actual rendering of the view, for example including the JSP via a RequestDispatcher.

  Specified by:
    `renderMergedOutputModel` in class `AbstractView`
  Parameters:
    `model` - combined output Map (never `null`), with dynamic values taking precedence over static attributes
    `request` - current HTTP request
    `response` - current HTTP response
  Throws:
    `java.lang.Exception` - if rendering failed

### newFeed

    protected abstract T newFeed()

  Create a new feed to hold the entries.

  Returns:
    the newly created Feed instance

### buildFeedMetadata

    protected void buildFeedMetadata(java.util.Map<java.lang.String,java.lang.Object> model,
                                     T feed,
                                     javax.servlet.http.HttpServletRequest request)

  Populate the feed metadata (title, link, description, etc.).

  Default is an empty implementation. Subclasses can override this method to add meta fields such as title, link description, etc.

  Parameters:
    `model` - the model, in case meta information must be populated from it
    `feed` - the feed being populated
    `request` - in case we need locale etc. Shouldn't look at attributes.

### buildFeedEntries

    protected abstract void buildFeedEntries(java.util.Map<java.lang.String,java.lang.Object> model,
                                             T feed,
                                             javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response)
                                      throws java.lang.Exception

  Subclasses must implement this method to build feed entries, given the model.

  Note that the passed-in HTTP response is just supposed to be used for setting cookies or other HTTP headers. The built feed itself will automatically get written to the response after this method returns.

  Parameters:
    `model` - the model Map
    `feed` - the feed to add entries to
    `request` - in case we need locale etc. Shouldn't look at attributes.
    `response` - in case we need to set cookies. Shouldn't write to it.
  Throws:
    `java.lang.Exception` - any exception that occured during building

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD